resources

## Class AnnualDiseaseStatus

- java.lang.Object
- - resources.AnnualDiseaseStatus

-     public class AnnualDiseaseStatus
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnualDiseaseStatus(int pPeriod, Constants.Disease pDiseaseBeforeTreatment, AgentID pTreatingPCP, Constants.Treatment pPCPTreatment, AgentID pTreatingSpecialist, Constants.Treatment pSpecialistTreatment, Constants.Disease pDiseaseAfterTreatment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constants.Disease` | `getDiseaseAfterTreatment()`
    `Constants.Disease` | `getDiseaseBeforeTreatment()`
    `Constants.Treatment` | `getPcpTreatment()`
    `int` | `getPeriod()`
    `Constants.Treatment` | `getSpecialistTreatment()`
    `AgentID` | `getTreatingPCP()`
    `AgentID` | `getTreatingSpecialist()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnualDiseaseStatus

          public AnnualDiseaseStatus(int pPeriod,
                             Constants.Disease pDiseaseBeforeTreatment,
                             AgentID pTreatingPCP,
                             Constants.Treatment pPCPTreatment,
                             AgentID pTreatingSpecialist,
                             Constants.Treatment pSpecialistTreatment,
                             Constants.Disease pDiseaseAfterTreatment)

      Parameters:
        `pPeriod` -
        `pDiseaseBeforeTreatment` -
        `pTreatingPCP` -
        `pPCPTreatment` -
        `pTreatingSpecialist` -
        `pSpecialistTreatment` -
        `pDiseaseAfterTreatment` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPeriod

          public int getPeriod()

      Returns:
        the period

    - #### getDiseaseBeforeTreatment

          public Constants.Disease getDiseaseBeforeTreatment()

      Returns:
        the diseaseBeforeTreatment

    - #### getTreatingPCP

          public AgentID getTreatingPCP()

      Returns:
        the treatingPCP

    - #### getPcpTreatment

          public Constants.Treatment getPcpTreatment()

      Returns:
        the pcpTreatment

    - #### getTreatingSpecialist

          public AgentID getTreatingSpecialist()

      Returns:
        the treatingSpecialist

    - #### getSpecialistTreatment

          public Constants.Treatment getSpecialistTreatment()

      Returns:
        the specialistTreatment

    - #### getDiseaseAfterTreatment

          public Constants.Disease getDiseaseAfterTreatment()

      Returns:
        the diseaseAfterTreatment